<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui">

<h:head>
    <title>Usuários</title>
</h:head>

<h:body>
    <h:form>
        <h2>Usuários</h2>

        <p:panel>
            <p:dataTable var="usuario" value="#{usuarioController.usuarios}">
                <p:column headerText="Nome">
                    <h:outputText value="#{usuario['nome']}"/>
                </p:column>

                <p:column headerText="Sobrenome">
                    <h:outputText value="#{usuario['sobrenome']}"/>
                </p:column>

                <p:column headerText="Data de Nascimento">
                    <h:outputText value="#{usuario['dataNascimento']}"/>
                </p:column>
            </p:dataTable>
        </p:panel>
		<div><h:button value="Cadastrar" outcome="usuario" /></div>
	</h:form>
</h:body>
</html>